:root {
    --user_data_color: #baeef4;
    --user_bg_color: #b4eddf;
    --user_border_color: #59a2c6;
    --invoice-item-bg-color: #d0f3ea;
    --item-info-clr: #ffffff;
    --item-admin-info-clr: #f5f0e2;
    --item-info-border-clr: #7bb494;

}

.screen-background {
    background-color: var(--user_bg_color);
    height: 100vh;
    width: 100%;
    overflow-y:scroll;
    overflow-x: hidden;
}

.screen_container {
    position:relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--user_bg_color);
    width: 100%;
    min-height: 100vh;
}

.user_data_area {
    border: 7px solid var(--user_border_color);
    padding: 5%;
    border-radius: 25%;
    background-color: var(--user_data_color);
    text-align: center;
    height: 200px;
    
}

.user_side_area {
    width: 300px;
    left: 0;
    bottom: 0;
    overflow-x: hidden;
    background-color: azure;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.user_side_menu>a {
    text-decoration: none;
    font-size: 18px;
}

.user_side_menu:hover {
    animation: 0.1s linear 0s hover-animation;
    animation-fill-mode: forwards;
}

@keyframes hover-animation {
    from {
        background-color: azure;
    }
    to {
        background: rgb(210, 229, 229);
    }
}

.user_side_menu {
    text-align: center;
    border: rgb(210, 229, 229) solid 2px;
    margin-top: 5px;
    margin-bottom: 4px;
    padding-top: 8px;
    padding-bottom: 8px;
    width: 100%;
}

.screen_body {
    display: flex;
    flex-direction: row;
}

.invoice-menu {
    display:flex;
    flex-direction: row;
}

.invoice-item {
    position:relative;
    background-color: var(--invoice-item-bg-color);
    margin: 20px;
    padding: 9px;
    border: 4px solid rgb(190, 246, 235);
    border-radius: 30% 10%;
    min-width: 150px;
    min-height: 130px;
    cursor:pointer;
}

.invoice-item:hover {
    animation: 0.1s invoice-item-hover-animation;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}

@keyframes invoice-item-hover-animation {
    from {
        background-color: var(--invoice-item-bg-color);
    }
    to {
        background-color: #bde3d9;
    }
}

.invoice-company-name {
    position: absolute;
    text-align: left;
    bottom: 15px;
    margin-bottom: 5px;
    margin-left: 10px;
}

.invoice-item-name {
    font-weight: bold;
    font-size: 20px;
    text-align: center;
}

.item-detail-item-name {
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 10px;
}

.item-details {
    margin-left: 25px;
    position: relative;
    width: 90%;
    font-family: 'Lucida Sans';
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.item-info {
    position: relative;
    background-color: var(--item-info-clr);
    width: 80%;
    height: 50%;
    min-height: 100px;
    min-width: 50%;
    border: 4px solid var(--item-info-border-clr);
    padding: 20px;
    border-radius: 20px;
    margin-top: 15px;
}

.item-admin-info {
    position: relative;
    background-color: var(--item-admin-info-clr);
    width: 80%;
    height: 500px;
    min-height: 100px;
    min-width: 50%;
    border: 4px solid var(--item-info-border-clr);
    padding: 20px;
    border-radius: 20px;
    margin-top: 15px;
}

.item-detail-options {
    position: relative;
    width: 80%;
    height: 200px;
    border: 2px solid var(--item-info-border-clr);
    padding: 20px;
    border-radius: 20px;
    margin-top: 20px;
    display:flex;
    flex-direction: row;
    justify-content: space-between;
}

.item-detail-confirm {
    width: 100px;
    height: 70px;
    font-size: 18px;
    border-radius: 10px;
}

.admin-message-box {
    min-width: 200px;
    max-width: 400px;
    min-height: 200px;
    background-color: #efe6d2;
    border: 2px solid black;
    border-radius: 20px;
}

.admin-message-box>p {
    position: relative;
    word-break: break-all;
    margin: 10px;
}

.admin-message-box>strong {
    position: relative;
    word-break: break-all;
    top: 3%;
    left: 3%;
    justify-content: center;
    text-align: center;
}

.spreadsheet-data {
    display: flex;
    flex-direction: column;
}

.spreadsheet-item {
    padding-top: 7px;
    padding-bottom: 7px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid black;
    min-height: 40px;
}

.search-selector {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 5px;
    margin-bottom: 5px;
    border-radius: 6px;
    width: 20%;
    font-size: 16px;

}
.search-selector input, .search-selector::placeholder {
    margin-left: 5px;
}

.spreadsheet-item > * {
    max-width: 50%;
}

.spreadsheet-item>label {
    font-size: 18px;
}

td {
    border: solid 2px black;
}

.spreadsheet-data-item {
    padding: 5px;
    max-width: 200px;
}

.id {
    font-size: 20px;
    margin-top: 5px;
    margin-bottom: 5px;
}



.login_bg {
}

html, body {
    padding: 0;
    margin: 0;
}

.login_container {
   background-color: var(--user_bg_color);
   display: flex;
   height: 100vh;
   justify-content: center;
   padding: 0px;
   margin: 0px;
}

.login_area_padding {

}

.login_input_area {
   border-radius: 50%;
   padding: 10px;
   border: 5px solid var(--user_border_color);
   background-color: var(--user_data_color);
   position: relative;
   top: 30px;
   height: 500px;
   width: 500px;
   display: flex;
   flex-direction: column;
   justify-content: space-around;
   align-items: center;
}

.login_input {
    font-weight: bold;
    padding: 5px;
}

.g_id_signin {
    width: 300px;
}


.load_symbol_inactive {
    background-color: transparent;
    max-width: 0px;
    max-height: 0px;
}

.load_symbol_active {
    background-color: transparent;
    animation: 0.5s infinite linear load_symbol_animation;
}

@keyframes load_symbol_animation
{
   0% {transform: rotate(0deg);}
   50%{transform: rotate(180deg)}
   100% {transform: rotate(360deg)}
}